- Qt 5.15
- Qt Widgets
- C++ Classes
- QGraphicsItemAnimation
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QGraphicsItemAnimation

The following members of class QGraphicsItemAnimation are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QMatrix | matrixAt(qreal step) const

## Public Slots

`(obsolete)` void | reset()

## Member Function Documentation

### `[slot]` void QGraphicsItemAnimation::reset()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Resets the item to its starting position and transformation.

You can call setStep(0) instead.

### QMatrix QGraphicsItemAnimation::matrixAt(qreal step) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns the matrix used to transform the item at the specified step value.

Use transformAt() instead